## org.jvnet.maven.plugin.antrun
Class AntPropertyHelper

    java.lang.Object
      org.apache.tools.ant.PropertyHelper
          org.jvnet.maven.plugin.antrun.AntPropertyHelper

All Implemented Interfaces:
  org.apache.tools.ant.property.GetProperty

    public class AntPropertyHelper

extends org.apache.tools.ant.PropertyHelper

Makes the ${expressions} used in Maven available to Ant as properties.

Author:
  Kenney Westerhof

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.PropertyHelper
`org.apache.tools.ant.PropertyHelper.Delegate, org.apache.tools.ant.PropertyHelper.PropertyEvaluator, org.apache.tools.ant.PropertyHelper.PropertySetter`

Constructor Summary
`AntPropertyHelper(org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator exprEvaluator, java.util.Set<org.apache.maven.artifact.Artifact> artifacts, org.apache.maven.plugin.logging.Log l)`
`AntPropertyHelper(org.apache.maven.project.MavenProject project, org.apache.maven.plugin.logging.Log l)` Deprecated. use the other constructor

Method Summary
`java.lang.Object` `getPropertyHook(java.lang.String ns, java.lang.String name, boolean user)`

Methods inherited from class org.apache.tools.ant.PropertyHelper

`add, containsProperties, copyInheritedProperties, copyUserProperties, getDelegateInterfaces, getDelegates, getExpanders, getInheritedProperties, getInternalInheritedProperties, getInternalProperties, getInternalUserProperties, getNext, getProject, getProperties, getProperty, getProperty, getProperty, getPropertyHelper, getUserProperties, getUserProperty, getUserProperty, parseProperties, parsePropertyString, replaceProperties, replaceProperties, setInheritedProperty, setInheritedProperty, setNewProperty, setNewProperty, setNewProperty, setNext, setProject, setProperty, setProperty, setProperty, setPropertyHook, setUserProperty, setUserProperty, testIfCondition, testUnlessCondition, toBoolean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntPropertyHelper

    public AntPropertyHelper(org.apache.maven.project.MavenProject project,
                             org.apache.maven.plugin.logging.Log l)

  Deprecated. use the other constructor

  Parameters:
    `project` -
    `l` -

### AntPropertyHelper

    public AntPropertyHelper(org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator exprEvaluator,
                             java.util.Set<org.apache.maven.artifact.Artifact> artifacts,
                             org.apache.maven.plugin.logging.Log l)

Parameters:
  `exprEvaluator` -
  `artifacts` -
  `l` -

Method Detail

### getPropertyHook

    public java.lang.Object getPropertyHook(java.lang.String ns,
                                            java.lang.String name,
                                            boolean user)

  Overrides:
    `getPropertyHook` in class `org.apache.tools.ant.PropertyHelper`
  See Also:
    `PropertyHelper.getPropertyHook(java.lang.String, java.lang.String, boolean)`

Copyright © 2011. All Rights Reserved.